s = "ARTEMIS ASCLEPIOS ATHENA ATLAS CHARON CHIRON CRONOS DEMETER EOS ERIS EROS GAIA HADES HECATE HEPHAISTOS HERA HERMES HESTIA HYGIE LETO MAIA METIS MNEMOSYNE NYX OCEANOS OURANOS PAN PERSEPHONE POSEIDON RHADAMANTHE SELENE THEMIS THETIS TRITON ZEUS"

dieux = s.split()

d = {}
for dieu in dieux:
    valeur = 0
    for c in dieu:
        valeur = valeur + int(c,36) - int('A',36) + 1
    print(dieu, valeur)
    d[valeur] = dieu

for i in sorted(d):
    print(d[i], end=" ")